AI Sync

Contacts

List Contacts

GEThttps://app.aisync.link/api/contacts
List Contacts
curl --request GET \
  --url https://app.aisync.link/api/contacts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 1,
      "tags": [
        {
          "id": 2,
          "tag": "Hot"
        }
      ],
      "email": "ada@example.com",
      "last_name": "Lovelace",
      "created_at": "2026-10-15 09:00:00",
      "first_name": "Ada",
      "phone_number": "15551212",
      "powerlist_id": 1
    }
  ],
  "meta": {
    "page": 1,
    "pages": 1,
    "total": 1,
    "per_page": 50
  },
  "success": true
}

List Contacts#

Returns the Contacts page list. Ids on this endpoint are numeric. Search matches first name, last name, email, and a phone number of at least 4 digits.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

pageintegerquery

Page number, starting at 1

per_pageintegerquery

Page size. Defaults to 50. Maximum 200

searchstringquery

Name, email, or phone search

tag_idintegerquery

Numeric contact tag id

powerlist_idintegerquery

Numeric powerlist id

sortstringquery

newest, oldest, or name

curl --request GET \
  --url https://app.aisync.link/api/contacts \
  --header 'Authorization: Bearer {{bearer_token}}'
dataobject[]

Numeric id, names, phone, email, powerlist, tags, and created_at

meta.totalinteger

Matching contacts

meta.pagesinteger

Page count